// src/hooks/useFlyers.tsx
import { useContext } from 'react';
import { FlyersContext, FlyersContextType } from '../contexts/FlyersContext';

export const useFlyers = (): FlyersContextType => {
  const context = useContext(FlyersContext);
  if (context === undefined) {
    throw new Error('useFlyers must be used within a FlyersProvider');
  }
  return context;
};